
Katello - Bug #4982

Promotion Overview dashboard widget spins and never returns status

03/31/2014 05:34 PM - Mike McCune

Status: Closed   

Priority: High   

Assignee: David Davis   

Category: Dashboard   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

You end up with a spinning icon forever:

http://mmccune.fedorapeople.org/scratch/promotions-dashboard.png

Error in the log:

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/dashboard/_promo

tions.haml (429.3ms)

undefined local variable or method `changeset' for #<#&lt;Class:0x0000000c6fb010&gt;:0x0000000c71a

730> (NameError)

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/dashboard/_promotions.ham

l:11:in `block in opt_rh_ruby_root_usr_share_gems_gems_katello

______app_views_katello_dashboard__promotions_haml__100127932122869895_72179400'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/relation/delegation.

rb:6:in `each'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/relation/delegation.

rb:6:in `each'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/dashboard/_promotions.ham

l:6:in `__opt_rh_ruby____root_usr_share_gems_gems_katello_______app_views_katello_dashboard__promo

tions_haml__100127932122869895_72179400'

Associated revisions

Revision 0bd180cd - 03/31/2014 03:23 PM - David Davis

Fixes #4982 - Fixing promotions dashboard bugs

Revision 6bb38089 - 03/31/2014 06:58 PM - David Davis

Merge pull request #3926 from daviddavis/temp/20140331112321

Fixes #4982 - Fixing promotions dashboard bugs

History

#1 - 03/31/2014 07:52 PM - David Davis

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:0bd180cdc6862facb94f979beb416c3b56fb113e.

#2 - 08/21/2014 02:39 PM - Eric Helms

- translation missing: en.field_release set to 13
